
QGIS Application - Bug report #2729

Crash on save after adding new vector layer

2010-05-17 11:13 PM - mesajs -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12789

Description

QGIS crashes when saving a project after a new vector layer has been added.

Steps:

1. Open an existing project.

2. Add a new layer (tried Spatialite, shapefile, GPX)

3. Save (or "Save as") the project.

Result: Empty .qgs file and QGIS crashes

History

#1 - 2010-05-18 01:56 AM - Giovanni Manghi

not reproducable here using qgis trunk under both ubuntu linux and windows seven 32 bit.

Can you check this bug in another (64bit) qgis installation?

#2 - 2010-05-18 02:24 AM - Milena Nowotarska

reproductable on win xp, 64 bit, qgis commit:ae2293a6 (SVN r13520).

#3 - 2010-05-18 02:25 AM - Giovanni Manghi

so it seems a (windows) 64bit issue...

#4 - 2010-05-26 01:59 PM - mesajs -

- Resolution set to fixed

- Status changed from Open to Closed

Closed - problem disappeared as mysteriously as it appeared. Wonder if it had anything to do with changeset 13543?
